Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## portlets.compoze.groupware.model.calendar
Class FreeBusyDialogModel

    java.lang.Object
      portlets.compoze.groupware.model.AbstractModel
          portlets.compoze.groupware.model.DialogModel
              portlets.compoze.groupware.model.calendar.FreeBusyDialogModel

All Implemented Interfaces:
  java.io.Serializable

public class FreeBusyDialogModel
extends DialogModel
implements java.io.Serializable

This class represents the data model for the free/busy dialog (`free_busy_dialog.jsp`).

See Also:
  Serialized Form

Field Summary
`static int` | `DEFAULT_NUMBER_COMPANY_ADDRESS_BOOK_ENTRIES_PER_PAGE`
`static int` | `END_HOUR_OF_CALENDAR_DAY` This value represents the end hour of a calendar day (exclusive).
`static int` | `START_HOUR_OF_CALENDAR_DAY` This value represents the start hour of a calendar day (inclusive).

Fields inherited from class portlets.compoze.groupware.model.DialogModel
`DIALOG_SESSION_ATTRIBUTE`

Constructor Summary
`FreeBusyDialogModel(portlets.compoze.groupware.controls.provider.ProviderCapabilities capabilities, GroupwarePreferences groupwarePrefs, portlets.compoze.groupware.controls.provider.Provider provider, java.lang.String sSkinPath)` Constructor.

Method Summary
`void` | `addInvitees(java.lang.String[] inviteeNameArray)` Adds an an array of invitees to the existing invitee map
`AddressBookEntry[]` | `getAddressBookEntries()` Gets the address book entries.
`java.lang.String` | `getCurrentAddressBookID()` Gets the current addressbook ID.
`java.util.Date` | `getEndDate()` Gets the end date.
`FreeBusy[]` | `getFreeBusy()` Gets the free busy information.
`java.util.Date` | `getGivenDate()` Gets the given date.
`java.lang.String` | `getGivenDateString()` Gets the given date as a localized string.
`int` | `getInterval()` Gets the interval (in minutes).
`FreeBusy.Interval[]` | `getIntervals()` Gets the intervals.
`java.util.Date` | `getNextDate()` Gets the next date.
`java.lang.String[]` | `getOptionalUsers()` Gets the optional users.
`Pagination` | `getPagination()` Gets the pagination.
`java.util.Date` | `getPreviousDate()` Gets the previous date.
`portlets.compoze.groupware.controls.provider.Provider` | `getProvider()` Gets the provider.
`java.lang.String[]` | `getRequiredUsers()` Gets the required users.
`java.lang.String[]` | `getResources()` Gets the resources.
`java.lang.String[]` | `getRooms()` Gets the rooms.
`java.util.Date` | `getStartDate()` Gets the start date.
`FreeBusy` | `getUserFreeBusy()` Gets the free busy information for this user.
`boolean` | `isExistingRecipient(java.lang.String sRecipientName)` Checks if a recipient was has been saved on a meeting
`boolean` | `isExtendedAddressBookFilteringSupported()` Checks if filtering of GAL on properties other than 'last name' is supported.
`boolean` | `isExtendedContactsFilteringSupported()` Checks if filtering of contacts on properties other than 'last name' is supported.
`void` | `setAddressBookEntries(AddressBookEntry[] addressBookEntries)` Sets the address book entries.
`void` | `setCurrentAddressBookID(java.lang.String sID)` Sets the current addressbook ID.
`void` | `setFreeBusy(FreeBusy[] freeBusy)` Sets the free busy information.
`void` | `setGivenDate(java.util.Date givenDate)` Sets the given date.
`void` | `setInterval(int iInterval)` Sets the interval (in minutes).
`void` | `setOptionalUsers(java.lang.String[] optionalUsers)` Sets the optional users.
`void` | `setPagination(Pagination pagination)` Sets the pagination.
`void` | `setRequiredUsers(java.lang.String[] requiredUsers)` Sets the required users.
`void` | `setResources(java.lang.String[] resources)` Sets the resources.
`void` | `setRooms(java.lang.String[] rooms)` Sets the rooms.
`void` | `setUserFreeBusy(FreeBusy freeBusy)` Sets the free busy information for this user.

Methods inherited from class portlets.compoze.groupware.model.DialogModel
`getCompozeCSS, getCompozeImages, getCurrentSkinPath`

Methods inherited from class portlets.compoze.groupware.model.AbstractModel
`getAccounts, getActualTitle, getFeatureGroup, getGroupwarePreferences, getImAccount, getProviderCapabilities, getTitle, getTitleArgs, getTitleCrumbTrailKeys, isImAvailable, setActualTitle, setImAccount, setImAvailable, setTitle, setTitleArgs, setTitleCrumbTrailKeys`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### START_HOUR_OF_CALENDAR_DAY

    public static final int START_HOUR_OF_CALENDAR_DAY

  This value represents the start hour of a calendar day (inclusive).

  See Also:
    Constant Field Values

### END_HOUR_OF_CALENDAR_DAY

    public static final int END_HOUR_OF_CALENDAR_DAY

  This value represents the end hour of a calendar day (exclusive).

  See Also:
    Constant Field Values

### DEFAULT_NUMBER_COMPANY_ADDRESS_BOOK_ENTRIES_PER_PAGE

    public static final int DEFAULT_NUMBER_COMPANY_ADDRESS_BOOK_ENTRIES_PER_PAGE

See Also:
  Constant Field Values

Constructor Detail

### FreeBusyDialogModel

    public FreeBusyDialogModel(portlets.compoze.groupware.controls.provider.ProviderCapabilities capabilities,
                               GroupwarePreferences groupwarePrefs,
                               portlets.compoze.groupware.controls.provider.Provider provider,
                               java.lang.String sSkinPath)

  Constructor.

Parameters:
  `capabilities` - the capabilities of the provider (may not be `null`)
  `groupwarePrefs` - the groupware preferences (may not be `null`)
  `provider` - the provider (may not be `null`)
  `sSkinPath` - the skin path (may not be `null`)

Method Detail

### getIntervals

    public FreeBusy.Interval[] getIntervals()

  Gets the intervals.

  Returns:
    the intervals

### getFreeBusy

    public FreeBusy[] getFreeBusy()

  Gets the free busy information.

  Returns:
    the free busy information

### getProvider

    public portlets.compoze.groupware.controls.provider.Provider getProvider()

  Gets the provider.

  Returns:
    the provider

### setFreeBusy

    public void setFreeBusy(FreeBusy[] freeBusy)

  Sets the free busy information.

  Parameters:
    `freeBusy` - the free busy information (may not be `null`)

### getUserFreeBusy

    public FreeBusy getUserFreeBusy()

  Gets the free busy information for this user.

  Returns:
    the free busy information for this user

### setUserFreeBusy

    public void setUserFreeBusy(FreeBusy freeBusy)

  Sets the free busy information for this user.

  Parameters:
    `freeBusy` - the free busy information for this user (may not be `null`)

### getInterval

    public int getInterval()

  Gets the interval (in minutes).

  Returns:
    the interval (in minutes)

### setInterval

    public void setInterval(int iInterval)

  Sets the interval (in minutes).

  Parameters:
    `iInterval` - the interval (in minutes)

### setGivenDate

    public void setGivenDate(java.util.Date givenDate)

  Sets the given date.

  Parameters:
    `givenDate` - the given date

### getGivenDate

    public java.util.Date getGivenDate()

  Gets the given date.

  Returns:
    the given date

### getStartDate

    public java.util.Date getStartDate()

  Gets the start date.

  Returns:
    the start date

### getEndDate

    public java.util.Date getEndDate()

  Gets the end date.

  Returns:
    the end date

### getGivenDateString

    public java.lang.String getGivenDateString()

  Gets the given date as a localized string.

  Returns:
    the given date as a localized string

### getNextDate

    public java.util.Date getNextDate()

  Gets the next date.

  Returns:
    the next date

### getPreviousDate

    public java.util.Date getPreviousDate()

  Gets the previous date.

  Returns:
    the previous date

### getAddressBookEntries

    public AddressBookEntry[] getAddressBookEntries()

  Gets the address book entries.

  Returns:
    the address book entries

### setAddressBookEntries

    public void setAddressBookEntries(AddressBookEntry[] addressBookEntries)

  Sets the address book entries.

  Parameters:
    `addressBookEntries` - the address book entries (may not be `null`)

### getPagination

    public Pagination getPagination()

  Gets the pagination.

  Returns:
    the pagination

### setPagination

    public void setPagination(Pagination pagination)

  Sets the pagination.

  Parameters:
    `pagination` - the pagination (may not be `null`)

### setRequiredUsers

    public void setRequiredUsers(java.lang.String[] requiredUsers)

  Sets the required users.

  Parameters:
    `requiredUsers` - the required users (may not be `null`)

### getRequiredUsers

    public java.lang.String[] getRequiredUsers()

  Gets the required users.

  Returns:
    the required users

### setOptionalUsers

    public void setOptionalUsers(java.lang.String[] optionalUsers)

  Sets the optional users.

  Parameters:
    `optionalUsers` - the optional users (may not be `null`)

### getOptionalUsers

    public java.lang.String[] getOptionalUsers()

  Gets the optional users.

  Returns:
    the optional users

### setRooms

    public void setRooms(java.lang.String[] rooms)

  Sets the rooms.

  Parameters:
    `rooms` - the rooms (may not be `null`)

### getRooms

    public java.lang.String[] getRooms()

  Gets the rooms.

  Returns:
    the rooms

### setResources

    public void setResources(java.lang.String[] resources)

  Sets the resources.

  Parameters:
    `resources` - the resources (may not be `null`)

### getResources

    public java.lang.String[] getResources()

  Gets the resources.

  Returns:
    the resources

### isExtendedAddressBookFilteringSupported

    public boolean isExtendedAddressBookFilteringSupported()

  Checks if filtering of GAL on properties other than 'last name' is supported.

  Returns:
    the bExtendedFilteringSupported

### isExtendedContactsFilteringSupported

    public boolean isExtendedContactsFilteringSupported()

  Checks if filtering of contacts on properties other than 'last name' is supported.

  Returns:
    the bExtendedFilteringSupported

### getCurrentAddressBookID

    public java.lang.String getCurrentAddressBookID()

  Gets the current addressbook ID.

  Returns:
    the addressbook ID

### setCurrentAddressBookID

    public void setCurrentAddressBookID(java.lang.String sID)

  Sets the current addressbook ID.

### isExistingRecipient

    public boolean isExistingRecipient(java.lang.String sRecipientName)

  Checks if a recipient was has been saved on a meeting

  Returns:
    `true` if the recipient has been saved on a meeting

### addInvitees

    public void addInvitees(java.lang.String[] inviteeNameArray)

  Adds an an array of invitees to the existing invitee map

  Parameters:
    `inviteeNameArray` - the invitee name array to add

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.